<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('payments', function (Blueprint $table) {
      $table->id();

      $table->date('date')->nullable();

      // NOTE: obsolete field
      $table
        ->string('from')
        ->nullable()
        ->default('obsoleted');

      $table->string('student_id');
      $table->text('subject')->nullable();
      $table->string('amount')->default('0');
      $table->text('remarks')->nullable();

      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('payments');
  }
};
